﻿using System.Windows.Forms;
using Steema.TeeChart.Styles;
using Steema.TeeChart;
using System;

namespace TeeChartExample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            TChart tchart = new TChart();
            tchart.Chart.Series.Add(new FastLine());
            tchart.Chart.Axes.Left.Automatic = false;
            tchart.Chart.Axes.Left.Minimum = 0;
            tchart.Chart.Axes.Left.Maximum = 255;
            tchart.Aspect.View3D = false;

            this.Controls.Add(tchart);

            int y = tchart.Chart.Axes.Left.CalcYPosValue(120);
            label1.Text = String.Format("tchart.Chart.Axes.Left.CalcYPosValue(120) = {0}", y);
        }
    }
}
